## org.hibernate.envers.ant
Class AnnotationConfigurationTaskWithEnvers

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.hibernate.tool.ant.ConfigurationTask
                  org.hibernate.tool.ant.AnnotationConfigurationTask
                      org.hibernate.envers.ant.AnnotationConfigurationTaskWithEnvers

All Implemented Interfaces:
  Cloneable

    public class AnnotationConfigurationTaskWithEnvers

extends org.hibernate.tool.ant.AnnotationConfigurationTask

Field Summary

Fields inherited from class org.hibernate.tool.ant.ConfigurationTask
`entityResolver`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`AnnotationConfigurationTaskWithEnvers()`

Method Summary
`protected void` `doConfiguration(Configuration configuration)`

Methods inherited from class org.hibernate.tool.ant.AnnotationConfigurationTask
`createConfiguration, validateParameters`

Methods inherited from class org.hibernate.tool.ant.ConfigurationTask
`addConfiguredFileSet, addFile, getConfiguration, getConfigurationFile, getProperties, getPropertyFile, setConfigurationFile, setEntityResolver, setNamingStrategy, setPropertyFile`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, execute, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationConfigurationTaskWithEnvers

    public AnnotationConfigurationTaskWithEnvers()

Method Detail

### doConfiguration

    protected void doConfiguration(Configuration configuration)

  Overrides:
    `doConfiguration` in class `org.hibernate.tool.ant.ConfigurationTask`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.